Public Attributes | List of all members
_iso7816_handle_t Struct Reference
Peripheral Driver » HAL Driver » ISO7816 » Structures » Handle

ISO7816 handle Structure definition. More...

`#include <gr55xx_hal_iso7816.h>`

Collaboration diagram for _iso7816_handle_t:
[legend]

## Public Attributes
iso7816_regs_t * | p_instance
| ISO7816 registers base address More...
iso7816_init_t | init
| ISO7816 configuration parameters More...
uint8_t * | p_tx_rx_buffer
| Pointer to ISO7816 Tx&Rx transfer Buffer. More...
uint16_t | buffer_size
| ISO7816 Tx Transfer size More...
uint16_t | tx_xfer_size
| ISO7816 Tx Transfer size More...
__IO uint16_t | tx_xfer_count
| ISO7816 Tx Transfer Counter More...
uint16_t | rx_xfer_size
| ISO7816 Rx Transfer size More...
__IO uint16_t | rx_xfer_count
| ISO7816 Rx Transfer Counter More...
__IO hal_lock_t | lock
| Locking object More...
__IO hal_iso7816_state_t | state
| ISO7816 communication state More...
__IO hal_iso7816_state_t | tx_state
| ISO7816 state information related to Tx operations. More...
__IO hal_iso7816_state_t | rx_state
| ISO7816 state information related to Rx operations. More...
__IO uint32_t | previous_action
| ISO7816 previous_action More...
__IO uint32_t | error_code
| ISO7816 error code More...
uint32_t | retention [6]
| ISO7816 important register information. More...

## Detailed Description

ISO7816 handle Structure definition.

Definition at line 136 of file gr55xx_hal_iso7816.h.

## Member Data Documentation

## ◆ buffer_size

uint16_t _iso7816_handle_t::buffer_size

ISO7816 Tx Transfer size

Definition at line 141 of file gr55xx_hal_iso7816.h.

## ◆ error_code

__IO uint32_t _iso7816_handle_t::error_code

ISO7816 error code

Definition at line 151 of file gr55xx_hal_iso7816.h.

## ◆ init

iso7816_init_t _iso7816_handle_t::init

ISO7816 configuration parameters

Definition at line 139 of file gr55xx_hal_iso7816.h.

## ◆ lock

__IO hal_lock_t _iso7816_handle_t::lock

Locking object

Definition at line 146 of file gr55xx_hal_iso7816.h.

## ◆ p_instance

iso7816_regs_t* _iso7816_handle_t::p_instance

ISO7816 registers base address

Definition at line 138 of file gr55xx_hal_iso7816.h.

## ◆ p_tx_rx_buffer

uint8_t* _iso7816_handle_t::p_tx_rx_buffer

Pointer to ISO7816 Tx&Rx transfer Buffer.

Definition at line 140 of file gr55xx_hal_iso7816.h.

## ◆ previous_action

__IO uint32_t _iso7816_handle_t::previous_action

ISO7816 previous_action

Definition at line 150 of file gr55xx_hal_iso7816.h.

## ◆ retention

uint32_t _iso7816_handle_t::retention[6]

ISO7816 important register information.

Definition at line 152 of file gr55xx_hal_iso7816.h.

## ◆ rx_state

__IO hal_iso7816_state_t _iso7816_handle_t::rx_state

ISO7816 state information related to Rx operations.

Definition at line 149 of file gr55xx_hal_iso7816.h.

## ◆ rx_xfer_count

__IO uint16_t _iso7816_handle_t::rx_xfer_count

ISO7816 Rx Transfer Counter

Definition at line 145 of file gr55xx_hal_iso7816.h.

## ◆ rx_xfer_size

uint16_t _iso7816_handle_t::rx_xfer_size

ISO7816 Rx Transfer size

Definition at line 144 of file gr55xx_hal_iso7816.h.

## ◆ state

__IO hal_iso7816_state_t _iso7816_handle_t::state

ISO7816 communication state

Definition at line 147 of file gr55xx_hal_iso7816.h.

## ◆ tx_state

__IO hal_iso7816_state_t _iso7816_handle_t::tx_state

ISO7816 state information related to Tx operations.

Definition at line 148 of file gr55xx_hal_iso7816.h.

## ◆ tx_xfer_count

__IO uint16_t _iso7816_handle_t::tx_xfer_count

ISO7816 Tx Transfer Counter

Definition at line 143 of file gr55xx_hal_iso7816.h.

## ◆ tx_xfer_size

uint16_t _iso7816_handle_t::tx_xfer_size

ISO7816 Tx Transfer size

Definition at line 142 of file gr55xx_hal_iso7816.h.

The documentation for this struct was generated from the following file:

- gr55xx_hal_iso7816.h